<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="helma.xsl"?>
<xmlroot xmlns:hop="http://www.helma.org/docs/guide/features/database">
  <hopobject id="2356" name="StompCape" prototype="Page" created="1356998345918" lastModified="1357153612714">
  <hop:parent idref="2143" prototyperef="Page"/>
    <is_xhtml type="boolean">true</is_xhtml>
    <http_remotehost>127.0.0.1</http_remotehost>
    <registrant>mmoravec09@gmail.com</registrant>
    <oauth2-token></oauth2-token>
    <http_language>en-US,en;q=0.8</http_language>
    <uri>StompCape</uri>
    <http_browser>Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_2) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.101 Safari/537.11</http_browser>
    <time type="date">02.01.2013 13:06:52 CST</time>
    <updatetime type="date">31.12.2012 17:59:05 CST</updatetime>
    <hopsession>127.0.0.98.250.187.1pfxk25hbm38a</hopsession>
    <project_url>https://github.com/larmoreg/StompCape</project_url>
    <body>The BeagleStomp cape is a guitar effects expansion cape for the Beaglebone. It utilizes a TI TLV320AIC3120 audio codec to take input from an instrument, modify the signal using the beaglebone&apos;s cortex processor, and then output audio that can be amplified, recorded, or listened to through headphones. The cape also features an MSP430 that processes input signals from switches and buttons to turn effects off and on. There is support for up to 7 stomp switches and 6 knobs. 

We are developing a slick web interface by modifying the open-source pedalboard.js platform. The goal is to adjust effects in a web browser from any computer connected on a network with the BeagleStomp pedal. We plan to use node.js which allows users to adjust effects in real-time and interact with components connected to a Beaglebone. 

To see any of the other Beagle product applications myself and Greg Larmore have worked on, head to http://elinux.org/Category:ECE497 . Our advisor is Dr. Mark Yoder from Rose-Hulman Institute of Technology.

Features:
*Audio Inputs: 1/4&quot; connector - for guitar cable
*Audio Outputs: 1/4&quot; connector, speaker output
*Audio Codec: TI TLV320AIC3120 
*I/O Signal Handling: MSP430G2553 - 7 switches, 6 knobs
*pedalboard.js implementation
*custom stomp switch and knob applications
</body>
    <agree>on</agree>
    <pseudoparent idref="2143" prototyperef="Page"/>
    <email>moravemj@rose-hulman.edu</email>
    <render_skin>cape</render_skin>
    <edit_skin>edit_cape</edit_skin>
    <http_referer>http://beagleboard.org/CapeContest/entries/StompCape/edit</http_referer>
    <youtube_url>http://youtu.be/CSiJGN6AKEY</youtube_url>
    <http_host>beagleboard.org</http_host>
    <errmsg></errmsg>
    <name>Matthew Moravec</name>
    <user>blog.hangerhead.com</user>
  </hopobject>
</xmlroot>
